<template>
    <div class="flex-1" style="background: url(/img/svg/pattern-1.svg) no-repeat center bottom fixed; background-size: cover;">
        <div class="container py-4 py-lg-5 my-lg-5 px-4 px-sm-0">
            <div class="row">
                <div class="col-xl-12">
                    <h2 class="fs-xxl fw-500 mt-4 text-primary text-center">
                        Reset Your Password
                    </h2>
                </div>
                <div class="col-xl-6 col-md-6 ml-auto mr-auto">
                    <div class="card p-4 rounded-plus bg-faded">
                        <!-- email -->
                        <div class="form-group">
                            <label class="form-label" for="username">E-mail</label>
                            <input type="email" v-model="pwd.username" name="username" class="form-control"
                                :class="{ 'is-invalid': pwd.errors.has('username') }" id="username"
                                placeholder="Enter user name" value="" required>
                            <has-error :form="pwd" field="username"></has-error>
                        </div>
                        <!-- New password -->
                        <div class="form-group">
                            <label class="form-label" for="new_password">New password</label>
                            <input type="password" v-model="pwd.new_password" name="new_password" class="form-control"
                                :class="{ 'is-invalid': pwd.errors.has('new_password') }" id="new_password"
                                 value="" required>
                            <has-error :form="pwd" field="new_password"></has-error>
                        </div>
                        <div class="row no-gutters">
                            <div class="col-md-4 ml-auto text-right">
                                <button id="js-login-btn" type="button" class="btn btn-block btn-success btn-lg mt-3" @click="resetPassword()">Next</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'Reset Password',
        data() {
            return {
                pwd: new this.$Form({
                    username:'',
                    resetPasswordToken:'',
                    new_password:''
                })
            }
        },
        methods: {
            resetPassword(){
                console.log(this.pwd)
                this.$store.dispatch('auth/resetPassword', this.pwd)
                .then(() => {
                    console.log("done")
                    this.$Swal.fire({
                        title: 'Your password was successfully changed',
                        icon: 'success',
                        showCancelButton: false,
                        confirmButtonColor: '#3085d6',
                        cancelButtonColor: '#d33',
                        confirmButtonText: 'Login',
                        showLoaderOnConfirm: true,
                        preConfirm: () => {
                            this.$router.push('/login')
                        }
                    })
                    })
            }
        },
        created(){
            this.pwd.resetPasswordToken = this.$route.query.token
        }
    }
</script>

<style scoped>

</style>
